
Application: gvSIG desktop - gvSIG bugs #1905
Error al cargar capa PostGIS filtrando por área de trabajo
06/12/2013 01:40 PM - José Vicente Higón

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Database
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Al cargar una capa PostGIS y seleccionar la opción "Área de trabajo" (capturando las coordenadas de la vista), aparece la siguiente
excepción y no carga la capa:

[...]
Caused by: org.gvsig.fmap.dal.store.jdbc.exception.JDBCExecuteSQLException: An JDBC exception was throw when execute
SQL: Select asbinary(extent(the_geom)) from "roads"."roadelement" where 
intersects(GeomFromText('Envelop(min=Point2D(-64.875,8.806),max=Point2D(-64.114,9.532))')), envelope(the_geom)) 
    at org.gvsig.fmap.dal.store.postgresql.PostgreSQLHelper$1.run(PostgreSQLHelper.java:198)
    ... 17 more
Caused by: org.postgresql.util.PSQLException: ERROR: error de sintaxis en o cerca de «,»
  Position: 159
[...]

El error es debido a que se está ejecutando una sentencia SQL no válida.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2129: Working area is no... Closed 12/02/2013

History
#1 - 11/28/2013 05:35 PM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#2 - 12/02/2013 01:54 PM - Juan Lucas Domínguez
- Category set to Database
- Status changed from New to Fixed
- Target version set to 2.1.0-2223-rc1

Already fixed. Related to #2129

#3 - 01/13/2014 09:29 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel
#4 - 01/28/2014 09:32 AM - Álvaro Anguix
- Status changed from Fixed to Closed
